Bug 380491 - Vendor patch
Vendor patch
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: epiphany (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-13 12:30 EST by Jakub 'Livio' Rusinek
Modified: 2008-03-10 11:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-08 15:09:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vendor patch (561 bytes, patch)
2007-11-13 12:30 EST, Jakub 'Livio' Rusinek
no flags Details | Diff

  None (edit)
Description Jakub 'Livio' Rusinek 2007-11-13 12:30:07 EST
Description of problem:
Actually, not a problem, but cosmetic change request ;) .
Epiphany uses Gecko. Gecko provides vendor settings.
My patch allows Epiphany to say "hey, I'm using Fedora" in UserAgent string :] .

Also, file I'm patching resets vendor even if set by user.

Version-Release number of selected component (if applicable):
2.20.1-3.fc8

How reproducible:
"Resetting" - always.

Steps to Reproduce:
1. about:config, type vendor
2. change the values
3. restart browser and go to about:
  
Actual results:
Epiphany doesn't say it's using Fedora platform.

Expected results:
Epiphany with beautiful Fedora UA string :] .

Additional info:
It's nice propaganda :] .
Comment 1 Jakub 'Livio' Rusinek 2007-11-13 12:30:07 EST
Created attachment 257081 [details]
vendor patch
Comment 2 Jakub 'Livio' Rusinek 2008-02-28 13:27:18 EST
As the patch is short and simple, we can easily reuse it for F9:

> --- default-prefs.js	2007-11-02 14:06:35.000000000 +0100
> +++ default-prefs.js	2007-11-02 14:08:04.000000000 +0100
> @@ -110,9 +110,9 @@
>  
>  // unset weird xulrunner default UA string
>  pref("general.useragent.extra.simple", "");
> -pref("general.useragent.vendor", "");
> -pref("general.useragent.vendorComment", "");
> -pref("general.useragent.vendorSub", "");
> +pref("general.useragent.vendor", "Fedora");
> +pref("general.useragent.vendorComment", "Sulphur");
> +pref("general.useragent.vendorSub", "9");
>  
>  // we don't want ping(uin)s
>  pref("browser.send_pings", false);

Every line has "> " at beginning (space is important).
Comment 3 Christopher Aillon 2008-03-08 15:09:16 EST
I did something else which won't require touching this between releases.
Comment 4 Jakub 'Livio' Rusinek 2008-03-10 11:03:18 EDT
Does Epiphany (or XULRunner) introduce Fedora in user-agent string?

Note You need to log in before you can comment on or make changes to this bug.